Loading...
Searching...
No Matches
Numerics

Numeric utilities. More...

## Concepts

concept | ranges::differenceable_
| The `differenceable_` concept.
concept | ranges::differenceable
| The `differenceable` concept.
concept | ranges::inner_product_constraints_
| The `inner_product_constraints_` concept.
concept | ranges::inner_product_constraints
| The `inner_product_constraints` concept.
concept | ranges::indirect_semigroup_
| The `indirect_semigroup_` concept.
concept | ranges::indirect_semigroup
| The `indirect_semigroup` concept.
concept | ranges::partial_sum_constraints_
| The `partial_sum_constraints_` concept.
concept | ranges::partial_sum_constraints
| The `partial_sum_constraints` concept.
concept | ranges::uniform_random_bit_generator_
| The `uniform_random_bit_generator_` concept.
concept | ranges::uniform_random_bit_generator
| The `uniform_random_bit_generator` concept.

## Classes

struct | ranges::accumulate_fn
struct | ranges::adjacent_difference_fn
struct | ranges::inner_product_fn
struct | ranges::iota_fn
struct | ranges::partial_sum_fn

## Typedefs

template<typename I , typename O >
using | ranges::adjacent_difference_result = detail::in_out_result< I, O >
template<typename I , typename O >
using | ranges::partial_sum_result = detail::in_out_result< I, O >

## Variables

constexpr accumulate_fn | ranges::accumulate {}
constexpr adjacent_difference_fn | ranges::adjacent_difference {}
constexpr inner_product_fn | ranges::inner_product {}
constexpr iota_fn | ranges::iota {}
constexpr partial_sum_fn | ranges::partial_sum {}

## Detailed Description

Numeric utilities.